# DataExchange
TKSTEP
StepAP214

# StepAP214_AppliedDocumentReference Class Reference

`#include <StepAP214_AppliedDocumentReference.hxx>`

Inheritance diagram for StepAP214_AppliedDocumentReference:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP214_AppliedDocumentReference ()
Standard_EXPORT void | Init (const Handle(StepBasic_Document)&aAssignedDocument, const Handle(TCollection_HAsciiString)&aSource, const Handle(StepAP214_HArray1OfDocumentReferenceItem)&aItems)
Standard_EXPORT Handle_StepAP214_HArray1OfDocumentReferenceItem | Items () const
Standard_EXPORT void | SetItems (const Handle(StepAP214_HArray1OfDocumentReferenceItem)&aItems)
Standard_EXPORT StepAP214_DocumentReferenceItem | ItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP214_HArray1OfDocumentReferenceItem | items

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AppliedDocumentReference::StepAP214_AppliedDocumentReference | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AppliedDocumentReference::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_DocumentReference.

Standard_EXPORT void StepAP214_AppliedDocumentReference::Init | ( | const Handle(StepBasic_Document)& | aAssignedDocument,
|  | const Handle(TCollection_HAsciiString)& | aSource,
|  | const Handle(StepAP214_HArray1OfDocumentReferenceItem)& | aItems
| ) |

Standard_EXPORT Handle_StepAP214_HArray1OfDocumentReferenceItem StepAP214_AppliedDocumentReference::Items | ( |  | ) | const

Standard_EXPORT StepAP214_DocumentReferenceItem StepAP214_AppliedDocumentReference::ItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepAP214_AppliedDocumentReference::NbItems | ( |  | ) | const

Standard_EXPORT void StepAP214_AppliedDocumentReference::SetItems | ( | const Handle(StepAP214_HArray1OfDocumentReferenceItem)& | aItems | ) |

## Field Documentation

Handle_StepAP214_HArray1OfDocumentReferenceItem StepAP214_AppliedDocumentReference::items `[private]`

The documentation for this class was generated from the following file:

- StepAP214_AppliedDocumentReference.hxx